Skip to main content
`Ctrl`+`K`

# pandas.ExcelFile.parse

ExcelFile.parse(sheet_name=0, header=0, names=None, index_col=None, usecols=None, converters=None, true_values=None, false_values=None, skiprows=None, nrows=None, na_values=None, parse_dates=False, date_parser=<no_default>, date_format=None, thousands=None, comment=None, skipfooter=0, dtype_backend=<no_default>, **kwds)

  Parse specified sheet(s) into a DataFrame.

  Equivalent to read_excel(ExcelFile, …) See the read_excel docstring for more info on accepted parameters.

  Returns:
    DataFrame or dict of DataFrames

      DataFrame from the passed in Excel file.

  Examples

      >>> df = pd.DataFrame([[1, 2, 3], [4, 5, 6]], columns=['A', 'B', 'C'])
      >>> df.to_excel('myfile.xlsx')
      >>> file = pd.ExcelFile('myfile.xlsx')
      >>> file.parse()